For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
        • GETGet all events
        • GETGet an event by ID
        • POSTCreate event for an applicant
        • POSTCreate event for a lead
        • POSTCreate event for a resident
        • GETGet all event types
        • GETGet event type by ID
        • GETGet all event sub types
        • GETGet event sub type by ID
        • GETGet all event results
        • GETGet event result by ID
        • PUTUpdate an event for an applicant
        • PUTUpdate an event for a lead
        • PUTUpdate an event for a resident
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
PMS Generic APIsEvents

Get all event results

GET
/v1/event-results/
GET
/v1/event-results/
$curl https://api.propexo.com/v1/event-results/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "evt-9f8b7c6d5a4e3f21",
14 "created_at": "2024-05-10T09:15:00Z",
15 "updated_at": "2024-05-15T12:30:00Z",
16 "last_seen": "2024-05-15T12:00:00Z",
17 "x_id": "ext-ev-123456",
18 "x_property_id": "ext-prop-78910",
19 "x_location_id": "loc-456def",
20 "name": "Lease Signed",
21 "integration_id": "int-abc123xyz",
22 "integration_vendor": "APPFOLIO",
23 "property_id": "prop-0011223344",
24 "associated_event_type_ids": [
25 "evt-123abc456def"
26 ]
27 }
28 ]
29}
Get all event results
Was this page helpful?
Previous

Get event result by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID from the integration vendor
x_property_idstringOptional
The external ID of the property from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error